Bug 204003 - [MAINTAINER] security/libgcrypt: Update to 1.6.4
Summary: [MAINTAINER] security/libgcrypt: Update to 1.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-24 16:17 UTC by Carlos J Puga Medina
Modified: 2015-10-27 16:07 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.63 KB, patch)
2015-10-24 16:17 UTC, Carlos J Puga Medina
no flags Details | Diff
Patch (4.36 KB, patch)
2015-10-24 16:37 UTC, Carlos J Puga Medina
no flags Details | Diff
poudriere testport on 93x32 (116.61 KB, text/x-log)
2015-10-24 17:28 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 93x64 (130.35 KB, text/x-log)
2015-10-24 17:28 UTC, Carlos J Puga Medina
no flags Details
poudriere testport on 10x32 (139.73 KB, text/x-log)
2015-10-24 17:29 UTC, Carlos J Puga Medina
no flags Details
Patch (3.42 KB, patch)
2015-10-25 00:17 UTC, Carlos J Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-10-24 16:17:19 UTC
Created attachment 162426 [details]
Patch

- Update to 1.6.4

ref: http://lists.gnupg.org/pipermail/gnupg-announce/2015q3/000375.html
Comment 1 Carlos J Puga Medina 2015-10-24 16:37:41 UTC
Created attachment 162427 [details]
Patch

- Regenerate patches
Comment 2 Carlos J Puga Medina 2015-10-24 17:28:14 UTC
Created attachment 162430 [details]
poudriere testport on 93x32
Comment 3 Carlos J Puga Medina 2015-10-24 17:28:38 UTC
Created attachment 162431 [details]
poudriere testport on 93x64
Comment 4 Carlos J Puga Medina 2015-10-24 17:29:41 UTC
Created attachment 162432 [details]
poudriere testport on 10x32
Comment 5 Carlos J Puga Medina 2015-10-24 17:30:32 UTC
% portlint -ac
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-10-24 19:52:34 UTC
It seems the patch files (files/patch-cipher-Makefile.in and files/patch-gcrypt.h.in) can be removed safely. This port builds successfully without them. Would you please check if these patch files are still required? Thanks.
Comment 7 Carlos J Puga Medina 2015-10-24 22:59:41 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #6)

Hi Sunpoet,

You're right! We can safely remove both patches. If someone notices a problem, we can always re-add them again.
Comment 8 Carlos J Puga Medina 2015-10-24 23:13:26 UTC
Anyway, I prefer to leave patch-cipher-Makefile.in to avoid to reproduce the following problem on amd64. See bug 196674.
Comment 9 Carlos J Puga Medina 2015-10-25 00:17:10 UTC
Created attachment 162436 [details]
Patch
Comment 10 commit-hook freebsd_committer 2015-10-27 15:55:26 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Oct 27 15:54:54 UTC 2015
New revision: 400319
URL: https://svnweb.freebsd.org/changeset/ports/400319

Log:
  - Update to 1.8.4

  Changes:	http://lists.gnupg.org/pipermail/gnupg-announce/2015q3/000375.html
  PR:		204003
  Submitted by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/files/
  head/security/libgcrypt/pkg-plist
Comment 11 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-10-27 16:07:14 UTC
Committed. Thanks!